Bug 195452 - editors/abiword: probably incorrect option group handling
Summary: editors/abiword: probably incorrect option group handling
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on: 199156
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-27 17:39 UTC by Dmitry Marakasov
Modified: 2015-06-18 22:24 UTC (History)
2 users (show)

See Also:
amdmi3: maintainer-feedback? (gnome)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2014-11-27 17:39:09 UTC
abiword has options group named COLLAB:

OPTIONS_GROUP=  COLLAB
OPTIONS_GROUP_COLLAB=   COLXMPP

however group name is mentioned in OPTIONS_DEFAULT:

OPTIONS_DEFAULT=SPELLCHECK CLIPART TEMPLATES COLLAB

and is checked later

.if ${PORT_OPTIONS:MCOLLAB}
CONFIGURE_ARGS+=--with-boost --enable-collab-backend-tcp \
                --enable-collab-backend-service
BUILD_DEPENDS+= ${LOCALBASE}/include/asio.hpp:${PORTSDIR}/net/asio
LIB_DEPENDS+=   libboost_system.so:${PORTSDIR}/devel/boost-libs \
                libsoup-2.4.so:${PORTSDIR}/devel/libsoup \
                libgnutls.so:${PORTSDIR}/security/gnutls
RUN_DEPENDS+=   ${LOCALBASE}/include/asio.hpp:${PORTSDIR}/net/asio
PLIST_SUB+=             COLLAB=""
.else
CONFIGURE_ARGS+=--without-boost --disable-collab-backend-tcp \
                --disable-collab-backend-service
PLIST_SUB+=             COLLAB="@comment "
.endif

this seems to be incorrect - I haven't digged into the logic, but probably COLXMPP which belongs to COLLAB group should be mentioned in OPTIONS_DEFAULT and checked instead.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-27 17:39:09 UTC
Auto-assigned to maintainer gnome@FreeBSD.org
Comment 2 Ben Woods freebsd_committer 2015-04-04 06:31:37 UTC
This issue is fixed with the patch attached to PR 199156
Comment 3 commit-hook freebsd_committer 2015-06-18 22:20:43 UTC
A commit references this bug:

Author: truckman
Date: Thu Jun 18 22:20:28 UTC 2015
New revision: 390083
URL: https://svnweb.freebsd.org/changeset/ports/390083

Log:
  Update to 3.0.1, see <http://abisource.org/release-notes/3.0.1.phtml>.

  Add new Abiword collaboration backends for Telepathy and SIP as options.

  Fix improper handling of COLLAB options group.

  Get rid of improper unconditional dependency on converters/psiconv.

  Fix build with gcc.

  Portlint cleanup.

  PR:		199156
  PR:		195452
  PR:		199544
  PR:		193318
  Submitted by:	Ben Woods <woodsb02@gmail.com>
  Approved by:	mat (mentor, implicit)

Changes:
  head/editors/abiword/Makefile
  head/editors/abiword/distinfo
  head/editors/abiword/files/patch-Makefile.in
  head/editors/abiword/files/patch-plugins_bmp_xp_ie_impGraphic_BMP.cpp
  head/editors/abiword/files/patch-plugins_collab_backends_sipsimple_xp_SIPSimpleBuddy.h
  head/editors/abiword/files/patch-plugins_garble_xp_abiword-garble-png.cpp
  head/editors/abiword/files/patch-src_af_util_xp_ut_png.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.cpp
  head/editors/abiword/files/patch-src_text_ptbl_xp_pd__DocumentRDF.h
  head/editors/abiword/files/patch-src_wp_impexp_gtk_ie_impGraphic_GdkPixbuf.cpp
  head/editors/abiword/files/patch-tls_tunnel.cpp
  head/editors/abiword/pkg-plist